<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema elementFormDefault="qualified" version="1.0"
            targetNamespace="http://vzp.cz/B2B/OvereniPoskytnutePeceB2B/1"
            xmlns="http://vzp.cz/B2B/OvereniPoskytnutePeceB2B/1"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns:par="http://xmlns.vzp.cz/PovinneParametryB2B/1"
            xmlns:out="http://vzp.cz/Outcome/OvereniPoskytnutePece/1">
    <xsd:annotation>
        <xsd:documentation>
            Historie verzí:
            <ul>
                <li>1.0 - 19. 9. 2025 - Prvotní návrh rozhraní</li>
            </ul>
        </xsd:documentation>
    </xsd:annotation>
    <xsd:import namespace="http://xmlns.vzp.cz/PovinneParametryB2B/1"
                schemaLocation="PovinneParametryB2B.xsd"/>
    <xsd:import namespace="http://vzp.cz/Outcome/OvereniPoskytnutePece/1"
                schemaLocation="OvereniPoskytnutePeceTypes.xsd"/>

    <xsd:element name="overeniPoskytnutePece" type="overeniPoskytnutePeceTyp"/>
    <xsd:element name="overeniPoskytnutePeceOdpoved" type="overeniPoskytnutePeceOdpovedTyp"/>

    <xsd:complexType name="overeniPoskytnutePeceTyp">
        <xsd:complexContent>
            <xsd:extension base="par:parametryPozadavku">
                <xsd:sequence>
                    <xsd:element name="teloPozadavku" type="out:overeniPoskytnutePeceTeloTyp"/>
                </xsd:sequence>
            </xsd:extension>
        </xsd:complexContent>
    </xsd:complexType>

    <xsd:complexType name="overeniPoskytnutePeceOdpovedTyp">
        <xsd:complexContent>
            <xsd:extension base="par:parametryOdpovedi">
                <xsd:sequence>
                    <xsd:element name="teloOdpovedi" type="out:overeniPoskytnutePeceOdpovedTeloTyp" minOccurs="0"/>
                </xsd:sequence>
            </xsd:extension>
        </xsd:complexContent>
    </xsd:complexType>

</xsd:schema>
